/*
 *  Copyright (C) 2004 Jonas B. Jacobi <jonas.jacobi@web.de>   
 */
 

#ifndef __KDEVPART_PREVIEWDOXYGEN_H__
#define __KDEVPART_PREVIEWDOXYGEN_H__

#include <qstring.h>

#include <kdevplugin.h>
#include <ktempdir.h>
#include <kprocess.h>

class KAction;
namespace KParts{
	class Part;
}
/**
testclass.
testasdf
*/
class previewdoxygenPart : public KDevPlugin
{
  Q_OBJECT

public:
   /**test einer function*/
  	previewdoxygenPart(QObject *parent, const char *name, const QStringList &);
	/**
	nocht n test
	*/
  	~previewdoxygenPart();

private slots:
	void fillContextMenu(QPopupMenu *popup, const Context *context);
	void slotProcessExited();
	void slotRun();
	void slotActivePartChanged(KParts::Part*);
	
private:
	QString m_file;
	KTempDir m_tmpDir;
	KProcess m_process;
	KAction* m_action;
};


#endif
